商品画像検索
curl -X POST -H "Content-Type: application/x-www-form-urlencoded" -d 'access_token=xxxxxxxxx&refresh_token=xxxxxxxxx&fields=xxxxxxxx,xxxxxxx&goods_image_creator_name-like=xxxxx&offset=0&limit=2' https://api.next-engine.org/api_v1_master_goodsimage/search// POST /api_v1_master_goodsimage/search - 商品画像検索const params = new URLSearchParams({ access_token: '<access_token>', fields: 'field1,field2', offset: '0', limit: '50',})const res = await fetch('https://api.next-engine.org/api_v1_master_goodsimage/search', { method: 'POST', headers: { 'content-type': 'application/x-www-form-urlencoded' }, body: params,})const json = await res.json()if (json.result !== 'success') throw new Error(json.message ?? json.code)console.log(json.data)# POST /api_v1_master_goodsimage/search - 商品画像検索import requests
params = { 'access_token': '<access_token>', 'fields': 'field1,field2', 'offset': '0', 'limit': '50',}res = requests.post( 'https://api.next-engine.org/api_v1_master_goodsimage/search', data=params,)json = res.json()if json['result'] != 'success': raise RuntimeError(json.get('message') or json.get('code'))print(json.get('data'))Request Body required
Section titled “Request Body required ”object
OAuth2 アクセストークン (必須)
OAuth2 リフレッシュトークン (access_token 期限切れ時の自動更新に使用)
同期実行フラグ。“1” 指定で処理完了を待つ
取得するフィールドをカンマ区切りで指定 (search 系のみ)
検索開始位置 (search 系のみ)
取得件数 (search 系のみ)
Responses
Section titled “ Responses ”実行結果 (result が success / error / redirect のいずれか)
object
実行結果ステータス
エラー時のエラーコード
object
更新後のアクセストークン
アクセストークン有効期限 (YYYY-MM-DD HH:MM:SS)
更新後のリフレッシュトークン
リフレッシュトークン有効期限
エンドポイント固有のレスポンスデータ
Count/search 系のヒット件数 (form-urlencoded レスポンスでは文字列で返ることがある)
object
商品画像ID / 数値型
商品コード / 文字列型
ファイル名 / 文字列型
画像URL(HTTP) / 文字列型
画像URL(HTTPS) / 文字列型
サイズ / 数値型 / 単位はバイト。500KB(1024計算)以下
幅 / 数値型 / 単位:ピクセル。2100px以下
高さ / 数値型 / 単位:ピクセル。2100px以下
画像説明 / 文字列型 / HTMLのimg要素のalt属性
自動変換フラグ / 数値型 / 自動作成したJPEG画像がある場合、1。このフラグが1の場合、URLはjpg以外が設定されており、拡張子をjpgにしてアクセスすることでjpgファイルにもアクセス出来ます
並び順 / 文字列型
ファイル状態 / 数値型 / 0:未ダウンロード 1:ダウンロード中 2:ダウンロード済み 3:アップロード済み 4:アップロード中 9:削除済み ※ファイル選択でアップロードされた場合は、1になります
削除フラグ / 文字列型
作成日 / 日時型
最終更新日 / 日時型
最終更新日 / 日時型 / NULLの場合作成日
作成担当者ID / 数値型
作成担当者名 / 文字列型
最終更新者ID / 数値型
最終更新者ID / 数値型 / NULLの場合作成者ID
最終更新者名 / 文字列型
最終更新者名 / 文字列型 / NULLの場合作成者名
Example
{ "result": "success", "count": "2", "data": [ { "goods_image_id": "1", "goods_image_goods_id": "T101", "goods_image_file_name": "2af4aec82a6f7f67fa09b2ae5e84c87e_201701181.jpg", "goods_image_url_http": "xxxxx", "goods_image_url_https": "xxxxx", "goods_image_size": "219519", "goods_image_width": "2048", "goods_image_height": "1152", "goods_image_alt": "", "goods_image_convert_flg": "0", "goods_image_display_order": "1", "goods_image_status": "3", "goods_image_deleted_flag": "0", "goods_image_creation_date": "2017-01-18 15:44:50", "goods_image_last_modified_date": "2017-01-18 16:01:50", "goods_image_last_modified_null_safe_date": "2017-01-18 16:01:50", "goods_image_creator_id": "10004", "goods_image_creator_name": "xxxxx", "goods_image_last_modified_by_id": "10004", "goods_image_last_modified_by_null_safe_id": "10004", "goods_image_last_modified_by_name": "xxxxx", "goods_image_last_modified_by_null_safe_name": "xxxxx", "goods_image_tag_id": "1", "goods_image_tag_goods_image_id": "1", "goods_image_tag_image_tag_id": "1", "goods_image_tag_deleted_flag": "0", "goods_image_tag_creation_date": "2017-01-18 15:44:50", "goods_image_tag_last_modified_date": "2017-01-18 15:44:50", "goods_image_tag_last_modified_null_safe_date": "2017-01-18 15:44:50", "goods_image_tag_creator_id": "0", "goods_image_tag_creator_name": "System", "goods_image_tag_last_modified_by_id": "0", "goods_image_tag_last_modified_by_null_safe_id": "0", "goods_image_tag_last_modified_by_name": "System", "goods_image_tag_last_modified_by_null_safe_name": "System", "image_tag_id": "1", "image_tag_mall_id": "0", "image_tag_mall_sub_id": "0", "image_tag_text": "基本-画像1", "image_tag_auto_register_no": "1", "image_tag_display_order": "1", "image_tag_deleted_flag": "0", "image_tag_creation_date": "2014-10-17 17:08:45", "image_tag_last_modified_date": "2014-10-17 17:08:45", "image_tag_last_modified_null_safe_date": "2014-10-17 17:08:45", "image_tag_creator_id": "0", "image_tag_creator_name": "System", "image_tag_last_modified_by_id": "0", "image_tag_last_modified_by_null_safe_id": "0", "image_tag_last_modified_by_name": "System", "image_tag_last_modified_by_null_safe_name": "System" }, { "goods_image_id": "2", "goods_image_goods_id": "T101", "goods_image_file_name": "e4213e243da9497baffb3e0db8a3f167_201702102.jpg", "goods_image_url_http": "xxxxx", "goods_image_url_https": "xxxxx", "goods_image_size": "130186", "goods_image_width": "800", "goods_image_height": "489", "goods_image_alt": "", "goods_image_convert_flg": "0", "goods_image_display_order": "2", "goods_image_status": "3", "goods_image_deleted_flag": "0", "goods_image_creation_date": "2017-02-10 16:08:41", "goods_image_last_modified_date": "2017-02-10 16:28:11", "goods_image_last_modified_null_safe_date": "2017-02-10 16:28:11", "goods_image_creator_id": "10002", "goods_image_creator_name": "xxxxx", "goods_image_last_modified_by_id": "10002", "goods_image_last_modified_by_null_safe_id": "10002", "goods_image_last_modified_by_name": "xxxxx", "goods_image_last_modified_by_null_safe_name": "xxxxx", "goods_image_tag_id": "2", "goods_image_tag_goods_image_id": "2", "goods_image_tag_image_tag_id": "2", "goods_image_tag_deleted_flag": "0", "goods_image_tag_creation_date": "2017-02-10 16:08:41", "goods_image_tag_last_modified_date": "2017-02-10 16:08:41", "goods_image_tag_last_modified_null_safe_date": "2017-02-10 16:08:41", "goods_image_tag_creator_id": "10002", "goods_image_tag_creator_name": "xxxxx", "goods_image_tag_last_modified_by_id": "10002", "goods_image_tag_last_modified_by_null_safe_id": "10002", "goods_image_tag_last_modified_by_name": "xxxxx", "goods_image_tag_last_modified_by_null_safe_name": "xxxxx", "image_tag_id": "2", "image_tag_mall_id": "0", "image_tag_mall_sub_id": "0", "image_tag_text": "基本-画像2", "image_tag_auto_register_no": "2", "image_tag_display_order": "2", "image_tag_deleted_flag": "0", "image_tag_creation_date": "2014-10-17 17:08:45", "image_tag_last_modified_date": "2014-10-17 17:08:45", "image_tag_last_modified_null_safe_date": "2014-10-17 17:08:45", "image_tag_creator_id": "0", "image_tag_creator_name": "System", "image_tag_last_modified_by_id": "0", "image_tag_last_modified_by_null_safe_id": "0", "image_tag_last_modified_by_name": "System", "image_tag_last_modified_by_null_safe_name": "System" } ], "access_token": "xxxxx", "access_token_end_date": "2017-04-18 11:19:26", "refresh_token": "xxxxx", "refresh_token_end_date": "2017-04-20 11:19:26"}クライアントエラー (HTTP ステータス自体は 200 + result=error で返ることが多い)
object
実行結果ステータス
エラー時のエラーコード
object
更新後のアクセストークン
アクセストークン有効期限 (YYYY-MM-DD HH:MM:SS)
更新後のリフレッシュトークン
リフレッシュトークン有効期限
エンドポイント固有のレスポンスデータ
Count/search 系のヒット件数 (form-urlencoded レスポンスでは文字列で返ることがある)
Example
{ "result": "success"}